Bug 615164 - Review Request: perl-MooseX-Meta-TypeConstraint-ForceCoercion - Force coercion when validating type constraints
Summary: Review Request: perl-MooseX-Meta-TypeConstraint-ForceCoercion - Force coercio...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Me...
Whiteboard:
Keywords:
Depends On:
Blocks: 616586
TreeView+ depends on / blocked
 
Reported: 2010-07-16 04:07 UTC by Iain Arnell
Modified: 2013-05-10 12:54 UTC (History)
4 users (show)

Fixed In Version: perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 00:46:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-07-16 04:07:51 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Meta-TypeConstraint-ForceCoercion.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc14.src.rpm

Description:
This class allows to wrap any Moose::Meta::TypeConstraint in a way that
will force coercion of the value when checking or validating a value
against it.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2323335

*rt-0.10_01

Comment 1 manuel wolfshant 2010-07-16 06:55:42 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: cc5330d0ab55afc23a2f7905f224d08b1edb9942  ./MooseX-Meta-TypeConstraint-ForceCoercion-0.01.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the test passes.



================
*** APPROVED ***
================

Comment 2 Parag AN(पराग) 2010-07-16 07:09:08 UTC
I think as we are in F14 development we should start following 
1) buildroot should be removed
2) %clean not needed
3) cleaning of buildroot at start of %install also not needed

Comment 3 manuel wolfshant 2010-07-16 07:26:35 UTC
Even 1..3  are not needed, they are useful if the same spec is to be used in EPEL-5. And I am very much in favor of reusing specs ++ providing as many modules as possible for RHEL 5.

Comment 4 Parag AN(पराग) 2010-07-16 07:34:08 UTC
that is correct if spec is supposed to be used on EPEL then keep it. But If packages are only for F-13 and above then I think we should start following those guidelines.

Comment 5 Iain Arnell 2010-07-16 07:47:53 UTC
I'm certainly not planning to push this into EL at the minute. Maybe an idea to extend cpanspec to optionally create specs according to current requirements (or optionally create old fashioned style).

Comment 6 Iain Arnell 2010-07-16 07:49:05 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Meta-TypeConstraint-ForceCoercion
Short Description: Force coercion when validating type constraints
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 7 Kevin Fenzi 2010-07-16 17:45:09 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-07-17 06:33:38 UTC
perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-2.fc13

Comment 9 Fedora Update System 2010-07-17 06:33:44 UTC
perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc12

Comment 10 Iain Arnell 2010-07-17 06:34:41 UTC
Imported with modernized spec. Thanks for the review.

Comment 11 Fedora Update System 2010-07-20 22:50:11 UTC
perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-Meta-TypeConstraint-ForceCoercion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc12

Comment 12 Fedora Update System 2010-08-03 00:46:02 UTC
perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-03 01:12:38 UTC
perl-MooseX-Meta-TypeConstraint-ForceCoercion-0.01-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Andrea Veri 2013-05-10 12:34:32 UTC
Package Change Request
======================
Package Name: perl-MooseX-Meta-TypeConstraint-ForceCoercion
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 15 Gwyn Ciesla 2013-05-10 12:54:18 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.